## lfc 0.2.3

=== DESCRIPTION ===
Package: lfc
Type: Package
Title: Log Fold Change Distribution Tools for Working with Ratios of
        Counts
Version: 0.2.3
Author: Florian Erhard
Maintainer: Florian Erhard <florian.erhard@uni-wuerzburg.de>
Description: Ratios of count data such as obtained from RNA-seq are modelled
    using Bayesian statistics to derive posteriors for effects sizes. This
    approach is described in Erhard & Zimmer (2015) <doi:10.1093/nar/gkv696> 
    and Erhard (2018) <doi:10.1093/bioinformatics/bty471>.
License: Apache License (>= 2)
Encoding: UTF-8
RoxygenNote: 7.2.1
URL: https://github.com/erhard-lab/lfc
BugReports: https://github.com/erhard-lab/lfc/issues
Imports: stats
Suggests: knitr, rmarkdown, DESeq2, SummarizedExperiment
VignetteBuilder: knitr
biocViews: Bayesian, Transcriptomics, DifferentialExpression
NeedsCompilation: no
Packaged: 2023-04-19 17:48:08 UTC; erhard
Repository: CRAN
Date/Publication: 2023-04-19 18:10:02 UTC
