## lfc 1.7.4.7

=== debian/changelog ===
lfc (1.7.4.7-1build2) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 May 2011 07:23:24 +0100

lfc (1.7.4.7-1build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:05:27 +0000

lfc (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581118, #581119)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

lfc (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

lfc (1.7.4.1-2) unstable; urgency=low

  * More porting fixes for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 00:18:31 +0100

lfc (1.7.4.1-1) unstable; urgency=low

  * Update to version 1.7.4.1
  * More porting fixes for GNU/Hurd and kfreebsd
  * Dropped patch lcgdm-missing-swig-includes.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Jan 2010 08:53:20 +0100

lfc (1.7.3.1-5) unstable; urgency=low

  * Fix porting issues for GNU/Hurd and kfreebsd
  * Extend package descriptions (Closes: #561723)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 Dec 2009 14:59:19 +0100

lfc (1.7.3.1-4) unstable; urgency=low

  * Add missing include statements in swig interface files (Closes: #557890)
  * Use Debian's imake instead of bundled version

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Dec 2009 14:38:11 +0100

lfc (1.7.3.1-3) unstable; urgency=low

  * Don't use /bin/false as shell - doesn't work with su
  * Fix bad directory used for dlopening plugins

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Nov 2009 17:27:52 +0100

lfc (1.7.3.1-2) unstable; urgency=low

  * Update copyright file (Closes: #515225)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 18 Nov 2009 15:02:58 +0100

lfc (1.7.3.1-1) UNRELEASED; urgency=low

  * Update to version 1.7.3.1
  * Changed copyright file to reflect upsteam license change to Apache 2.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Sep 2009 05:18:22 +0200

lfc (1.7.2.5-1) UNRELEASED; urgency=low

  * Updated policy to 3.8.3
  * Update to version 1.7.2.5

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 17 Aug 2009 16:57:38 +0200

lfc (1.7.0.6-3) UNRELEASED; urgency=low

  * Completed reaction to comments by ftpmasters
    - renaming perl and python packages according to debian conventions

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Mar 2009 23:44:08 +0200

lfc (1.7.0.6-2) UNRELEASED; urgency=low

  * Updated policy to 3.8.1 
  * Initial reaction to comments

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Mar 2009 23:44:08 +0200

lfc (1.7.0.6-1) UNRELEASED; urgency=low

  * Initial release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Jan 2009 10:43:25 +0100
