=== debian/changelog ===
lfc (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile (Closes: #626070)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 11 May 2011 08:49:57 +0200
