=== debian/control ===
Source: lfc
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), quilt, libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-common-dev, voms-dev, gsoap, libmysqlclient-dev | libmysqlclient16-dev | libmysqlclient15-dev | libmysqlclient12-dev | libmysqlclient10-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev
XS-Python-Version: current
Standards-Version: 3.9.2
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lfc
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lfc
Homepage: http://glite.web.cern.ch/glite/

Package: liblfc1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC)
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the runtime LFC client library.

Package: liblfc-dev
Section: libdevel
Architecture: any
Depends: liblfc1 (= ${binary:Version}), liblcgdm-dev, ${misc:Depends}
Description: LFC development libraries and header files
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the development libraries and header files for LFC.

Package: liblcgdm1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LCG Data Management common libraries
 This package contains common libraries for the LCG Data Management
 components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager).

Package: liblcgdm-dev
Section: libdevel
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${misc:Depends}
Description: LCG Data Management common development files
 This package contains common development libraries and header files
 for LCG Data Management.

Package: lfc-client
Section: net
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) client
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the command line interfaces for the LFC.

Package: liblfc-perl
Section: perl
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) perl bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Perl bindings for the LFC client library.

Package: python-lfc
Provides: ${python:Provides}
Section: python
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: LCG File Catalog (LFC) python bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python bindings for the LFC client library.

Package: lfc-mysql
Provides: lfcdaemon
Section: net
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
Description: LCG File Catalog (LFC) server with MySQL database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses MySQL as its database
 backend.

Package: lfc-dli
Section: net
Architecture: any
Depends: lfc-mysql | lfc-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
Description: LCG File Catalog (LFC) data location interface (dli) server
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the data location interface (dli) server for
 the LFC.
